Overview | Package | Class | Tree | Serialized | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.eclipse.hyades.logging.events
Interface IAssociationEngine

All Known Implementing Classes:
  AssociationEngineImpl

Deprecated. This class is deprecated as of 2004-05-17. Use the corresponding class available in org.eclipse.hyades.logging.events.cbe*

public interface IAssociationEngine

This is the interface that embodies the Association Engine as described in "Canonical Situation Data Format: The Common Base Event V1.0.1 ACAB.BO0301.0.1"

Since:
  1.0
Version:
  1.0.1
Author:
  Richard K. Duggan, Paul E. Slauenwhite

Field Summary
`static java.lang.String` | `TYPE_CAUSED_BY` Deprecated. Value for the Type attribute.
`static java.lang.String` | `TYPE_CLEARED` Deprecated. Value for the Type attribute.
`static java.lang.String` | `TYPE_CONTAIN` Deprecated. Value for the Type attribute.
`static java.lang.String` | `TYPE_CORRELATED` Deprecated. Value for the Type attribute.
`static java.lang.String` | `TYPE_MULTI_PART` Deprecated. Value for the Type attribute.

Method Summary
`java.lang.String` | `getId()` Deprecated. Returns the id.
`java.lang.String` | `getName()` Deprecated. Returns the name.
`java.lang.String` | `getType()` Deprecated. Returns the type.
`void` | `init()` Deprecated. Resets the object's properties to their initial (e.g. null) state.
`void` | `setId(java.lang.String id)` Deprecated. Sets the id.
`void` | `setName(java.lang.String name)` Deprecated. Sets the name.
`void` | `setType(java.lang.String type)` Deprecated. Sets the type.

Field Detail

### TYPE_CONTAIN

    public static final java.lang.String TYPE_CONTAIN

  Deprecated.
  Value for the Type attribute.

  The association represents containment of other events within a root event.

  See Also:
    `getType()`, Constant Field Values

### TYPE_CAUSED_BY

    public static final java.lang.String TYPE_CAUSED_BY

  Deprecated.
  Value for the Type attribute.

  The association represents a causality allowing the associated event to point to the cause of the situation.

  See Also:
    `getType()`, Constant Field Values

### TYPE_CLEARED

    public static final java.lang.String TYPE_CLEARED

  Deprecated.
  Value for the Type attribute.

  The association represents a relationship where an event points to an event which fixes, or results in the situation to becoming irrelevant.

  See Also:
    `getType()`, Constant Field Values

### TYPE_MULTI_PART

    public static final java.lang.String TYPE_MULTI_PART

  Deprecated.
  Value for the Type attribute.

  The association represents a collection of events together comprise a single event.

  See Also:
    `getType()`, Constant Field Values

### TYPE_CORRELATED

    public static final java.lang.String TYPE_CORRELATED

  Deprecated.
  Value for the Type attribute.

  The association represents a relationship between a child and parent event based on a correlation algorithm specified in the name of the association.

  See Also:
    `getType()`, Constant Field Values

Method Detail

### getId

    public java.lang.String getId()

  Deprecated.
  Returns the id. Id of the application that created the association. This is a REQUIRED property.

  Returns:
    String

### setId

    public void setId(java.lang.String id)

  Deprecated.
  Sets the id. Id of the application that created the association . This is a REQUIRED property.

  Parameters:
    `id` - The id to set

### getName

    public java.lang.String getName()

  Deprecated.
  Returns the name. Name of the application that created the association (e.g,. my correlation engine name). This is a REQUIRED property.

  Returns:
    String

### getType

    public java.lang.String getType()

  Deprecated.
  Returns the type. This property should contain the type of association represented by this element. Some well defined associations are: 1. Contains 2. Cleared 3. CausedBy 4. MultiPart 5. Correlated This is a REQUIRED property.

  Returns:
    String

### setName

    public void setName(java.lang.String name)

  Deprecated.
  Sets the name. Name of the application that created the association (e.g,. my correlation engine name). This is a REQUIRED property.

  Parameters:
    `name` - The name to set

### setType

    public void setType(java.lang.String type)

  Deprecated.
  Sets the type. This property should contain the type of association represented by this element. Some well defined associations are: 1. Contains 2. Cleared 3. CausedBy 4. MultiPart 5. Correlated This is a REQUIRED property.

  Parameters:
    `type` - The type to set

### init

    public void init()

  Deprecated.
  Resets the object's properties to their initial (e.g. null) state. Initialize a AssociationEngine so that it has a new guid and all components are initialized to either zero or null

  Since:
    1.0.1

Overview | Package | Class | Tree | Serialized | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD